Subject: Re: Cygrunsrv vs. Windows Update
From: [email-masked] (Eric Blake)
To: SIG - P�dagogie <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Feb 2006 16:16:02 +0000

Forwarding to list: http://cygwin.com/acronyms/#PPIOSPE

 -------------- Original message ----------------------
From: SIG - Pédagogie
> Hello Eric,
> 
> I saw your message on the Cygwin mailing-list regarding to the Windows 
> Update problem, somehow i'm glad there're other people having this, it 
> meens that maybe somebody will dig to resolve the problem :)
> 
> Here are two others recent windows patchs that make cygrunsrv hung (i'm 
> just using SSHD): KB911565 and KB911564, both are Windows Media 
> Player-related.
> 
> Even if the Cygwin team release new stuff to avoid this problem, as far 
> as we cannot update Cygwin through SSH in console mode, i'll probably 
> have to carry old cygwin installations incompatible with some WU patch 
> for a while :(
> 
> I'm using Cygwin to execute bash scripts on workstations i'm managing, 
> all have at least a "Cygwin runtime" (binaries installed without a real 
> Cygwin installation) and some of them have a real Cygwin envirronement 
> with sshd + UltrVNC.
> 
> I'm planning to join a Cygwin mailing-list or newsgroup but if you have 
> more information on this particular problem don't hesitate to keep me in 
> touch, i will do the same.
> 
> All the best,
> -- 
> Nicolas Cuissard
> 
> Université PARIS 1 - Panthéon Sorbonne
> SIG-Pédagogie
> 
> 
> -- 
> Ce message a été vérifié par MailScanner
> pour des virus ou des polluriels et rien de
> suspect n'a été trouvé.
> 

Yes, I had to stop and restart my cygwin services twice
on my Win2k machine this morning for the two Windows
media player patches foisted on me by my corporate IT
policy (even though I don't use media player).

Furthermore, I have no idea what it is about the Windows
update process that makes cygrunsrv consume 100% of
the processor, but knowing Windows, it is probably something
that cygwin will be unable to work around.

--
Eric Blake

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/